<?php
require(dirname(__FILE__)."/"."global.php");

echo 'function kill_Err(){
	return true;
}
window.onerror=kill_Err;';

if($job=='label')
{
	$query=$db->query(" SELECT * FROM {$pre}label WHERE lid='$id' ");
	while( $rs=$db->fetch_array($query) ){
		if( $rs[typesystem] ){
			$value=Get_Title(unserialize($rs[code]));
		}elseif( $rs[type]=='code' ){
			$value=stripslashes($rs[code]);
			//真实地址还原
			$value=En_TruePath($value,0);
		}elseif( $rs[type]=='pic' ){
			$picdb=unserialize($rs[code]);
			$picdb[imgurl]=tempdir("$picdb[imgurl]");
			$picdb[width] && $width=" width='$picdb[width]'";
			$picdb[height] && $height=" height='$picdb[height]'";
			if($picdb['imglink']){
				$value="<a href='$picdb[imglink]' target=_blank><img src='$picdb[imgurl]' $width $height border='0' /></a>";
			}else{
				$value="<img src='$picdb[imgurl]' $width $height  border='0' />";
			}
		}elseif( $rs[type]=='swf' ){
			$flashdb=unserialize($rs[code]);
			$flashdb[flashurl]=tempdir($flashdb[flashurl]);
			$flashdb[width] && $width=" width='$flashdb[width]'";
			$flashdb[height] && $height=" height='$flashdb[height]'";
			$value="<object type='application/x-shockwave-flash' data='$flashdb[flashurl]' $width $height wmode='transparent'><param name='movie' value='$flashdb[flashurl]' /><param name='wmode' value='transparent' /></object>";
		}elseif( $rs[type]=='rollpic' ){
			$rollpicdb=unserialize($rs[code]);
			$value=rollPic($rollpicdb);
		}
		$value;
	}
	$value=str_replace("\r","",$value);
	$value=str_replace("\n","",$value);
	$value=str_replace("'","",$value);
	echo "document.write('$value');";
	exit;
}




/**
*
**/
function Get_Title($format){
	global $db,$webdb,$pre,$ModuleDB;
	$page=1;
	//此处屏障报错,主要是处理不同版本之间存在的一些差异性问题
	$query=$db->query("$format[sql]",'','0');
	if(!$query){
		return ;
	}
	while($rs=$db->fetch_array($query)){
		$rs[i]=++$i;
		if($format[wninfo]&&$rs[mid]){
			$_rss=$db->get_one("SELECT * FROM {$pre}{$format[wninfo]}content_{$rs[mid]} WHERE id='$rs[id]' LIMIT 1");
			$_rss && $rs=$rs+$_rss;
		}elseif($format[SYS]=='artcile'&&$rs[mid]){
			$_rss=$db->get_one("SELECT * FROM {$pre}article_content_{$rs[mid]} WHERE aid='$rs[aid]' LIMIT 1");
			$_rss && $rs=$rs+$_rss;
		}
		$rs[full_time]=$rs[posttime];
		$rs[full_title]=$rs[title];
		//内容
		$rs[content]=preg_replace('/<([^<]*)>/is',"",$rs[content]);	//把HTML代码过滤掉
		$rs[content]=get_word($rs[content],$format[content_num]);
		//标题
		$rs[title]=get_word($rs[title],$format[titlenum],$format[titleflood]);
		if(!$format[timeformat]){
			$format[timeformat]="Y/m/d";
		}
		
		$rs[posttime]=date($format[timeformat],$rs[posttime]);
		if($rs[picurl]){
			$rs[picurl]=tempdir($rs[picurl]);
		}
		$listdb[]=$rs;
	}
	
	$listdb||$listdb=array();
	//幻灯片
	if($format[stype]=='rollpic')
	{
		foreach( $listdb AS $key=>$rs){
			$iii++;
			$picurl[$iii]=$rs[picurl];
			unset($rs[picurl]);
			$picalt[$iii]=$rs[title];
			@extract($rs);
			if($format[SYS]=='artcile'){
				$id=$aid;
			}
			$dirid=floor($id/1000);
			$time_Y=date("Y",$full_time);
			$time_y=date("y",$full_time);
			$time_m=date("m",$full_time);
			$time_d=date("d",$full_time);
			$time_H=date("H",$full_time);
			$time_i=date("i",$full_time);
			$time_s=date("s",$full_time);
			$format[tplpart_1code]='$url';
			$detail=make_ture_path($format,$rs);
			$tpl_1code=$detail[tpl_1code];
			eval("\$url=\"$tpl_1code\";");
			$piclink[$iii]=$url;
		}
		$format[picurl]=$picurl;
		$format[picalt]=$picalt;
		$format[piclink]=$piclink;
		//print_R($format);exit;
		//echo rollPic_flash($format);exit;
		return rollPic($format);
	}
	$listdb=array_chunk($listdb,$format[colspan]);
	$width=floor((1/$format[colspan])*100);
	foreach($listdb AS $key1=>$array1){
		$show.="<tr>";
		foreach($array1 AS $key2=>$rs){
			@extract($rs);
			if($format[SYS]=='artcile'){
				$id=$aid;
			}
			$detail=make_ture_path($format,$rs);
			$tpl_1code=$detail[tpl_1code];
			$tpl_2code=$detail[tpl_2code];

			$dirid=floor($id/1000);
			$time_Y=date("Y",$full_time);
			$time_y=date("y",$full_time);
			$time_m=date("m",$full_time);
			$time_d=date("d",$full_time);
			$time_H=date("H",$full_time);
			$time_i=date("i",$full_time);
			$time_s=date("s",$full_time);
			$jjj++;
			if($tpl_2code&&$jjj%2==0){
				$htmlcode=$tpl_2code;
			}else{
				$htmlcode=$tpl_1code?$tpl_1code:$tpl_1code;
			}
			$htmlcode=addslashes($htmlcode);
			eval("\$htmlcode=\"$htmlcode\";");
			$htmlcode=StripSlashes($htmlcode);
			$show.="<td width=$width%>$htmlcode</td>";
			$DivTpl.=$htmlcode;
		}
		$show.="</tr>";
	}
	if($format[DivTpl]){
		/*DIV布局*/
		return $DivTpl;
	}else{
		/*table布局*/
		return "<table width='100%' border='0' cellspacing='0' cellpadding='0'>$show</table>";
	}
}








/*滚动特效的图片*/
function rollPic($rolldb){
	global $webdb;
	@extract($rolldb);
	$width || $width=600;
	$height || $height=600;
	$num=count($picurl);
	for($i=0;$i<=$num;$i++){
		if(!$picurl[$i]){
			continue;
		}
		$picurl[$i]=tempdir($picurl[$i]);
		$picurl[$i]=AddSlashes($picurl[$i]);
		$piclink[$i]=urlencode(AddSlashes($piclink[$i]));
		$picalt[$i]=AddSlashes($picalt[$i]);
		$j=$i-1;//后台那里是从1开始的.所以这时要处理
		$show.="
				imgUrl[{$j}]='{$picurl[$i]}';
				imgLink[{$j}]='{$piclink[$i]}';
				imgtext[{$j}]='{$picalt[$i]}';
				";
	}
	echo $show="
var imgUrl = new Array();
var imgtext = new Array();
var imgLink = new Array();

$show

var pics=imgUrl[0];
var links=imgLink[0];
var texts=imgtext[0];
for(var i=1;i<imgUrl.length;i++){
	pics+='|'+imgUrl[i];
	links+='|'+imgLink[i];
	texts+='|'+imgtext[i];
}

var focus_width=$width
var focus_height=$height
var text_height=28
var swf_height = focus_height+text_height

document.write('<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" width=\"'+ focus_width +'\" height=\"'+ swf_height +'\">');
document.write('<param name=\"allowScriptAccess\" value=\"sameDomain\" /><param name=\"movie\" value=\"$webdb[www_url]/images/default/rollpic.swf\" /><param name=\"quality\" value=\"high\" /><param name=\"bgcolor\" value=\"#F0F0F0\">');
document.write('<param name=\"menu\" value=\"false\"><param name=wmode value=\"opaque\">');
document.write('<param name=\"FlashVars\" value=\"pics='+pics+'&links='+links+'&texts='+texts+'&borderwidth='+focus_width+'&borderheight='+focus_height+'&textheight='+text_height+'\">');
document.write('<embed src=\"$webdb[www_url]/images/default/rollpic.swf\" wmode=\"opaque\" FlashVars=\"pics='+pics+'&links='+links+'&texts='+texts+'&borderwidth='+focus_width+'&borderheight='+focus_height+'&textheight='+text_height+'\" menu=\"false\" bgcolor=\"#F0F0F0\" quality=\"high\" width=\"'+ focus_width +'\" height=\"'+ focus_height +'\" allowScriptAccess=\"sameDomain\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" />');
document.write('</object>');
";
	exit;
	//return $show;
}

function make_ture_path($format,$rs){
	global $ModuleDB,$webdb,$Html_Type;
	if($format[SYS]=='normal'||$format[SYS]=='wn'){
		$keyname=$format[SYS]=='normal'?$format[SYS_type]:$format[wninfo];
		if($ModuleDB[$keyname][domain]){
			$list_url=$show_url=$ModuleDB[$keyname][domain]."/";
		}else{
			$list_url=$show_url="$webdb[www_url]/{$ModuleDB[$keyname][dirname]}/";
		}
		$CF=unserialize($ModuleDB[$keyname][config]);
		if($CF[MakeHtml]==2){
			$list_url.=$CF[list_HtmlName2];
			$show_url.=$CF[show_HtmlName2];
		}elseif($CF[MakeHtml]==1){
			$list_url.=$CF[list_HtmlName][$rs[fid]]?$CF[list_HtmlName][$rs[fid]]:$CF[list_HtmlName1];
			$show_url.=$CF[show_HtmlName][$rs[fid]]?$CF[show_HtmlName][$rs[fid]]:$CF[show_HtmlName1];
		}else{
			$list_url.=$CF[list_PhpName];
			$show_url.=$CF[show_PhpName];
		}
		
		if($CF[MakeHtml]==1){
			$list_url=preg_replace("/(.*)\/([^\/]+)/is","\\1/",$list_url);
		}

		$tpl_1code=str_replace('{$url}',$show_url,$format[tplpart_1code]);
		$tpl_1code=str_replace('$url',$show_url,$tpl_1code);
		$tpl_1code=str_replace('{$list_url}',$list_url,$tpl_1code);
		$tpl_1code=str_replace('$list_url',$list_url,$tpl_1code);

		$tpl_2code=str_replace('{$url}',$show_url,$format[tplpart_2code]);
		$tpl_2code=str_replace('$url',$show_url,$tpl_2code);
		$tpl_2code=str_replace('{$list_url}',$list_url,$tpl_2code);
		$tpl_2code=str_replace('$list_url',$list_url,$tpl_2code);

		$array[tpl_1code]=$tpl_1code;
		$array[tpl_2code]=$tpl_2code;
	}
	elseif($format[SYS]=='artcile'){
		$list_url=$show_url="$webdb[www_url]/";
		if($webdb[NewsMakeHtml]==2){
			$list_url.=$webdb[list_filename2];
			$show_url.=$webdb[bencandy_filename2];
		}elseif($webdb[NewsMakeHtml]==1){
			$list_url.=$Html_Type['list'][$rs[fid]]?$Html_Type['list'][$rs[fid]]:$webdb[list_filename];
			$show_url.=$Html_Type[bencandy][$rs[fid]]?$Html_Type[bencandy][$rs[fid]]:$webdb[bencandy_filename];
		}else{
			$list_url.='list.php?fid={$fid}';
			$show_url.='bencandy.php?fid={$fid}&id={$aid}';
		}
		$list_url=preg_replace("/(.*)\/([^\/]+)/is","\\1/",$list_url);
		
		
		$tpl_1code=str_replace('{$url}',$show_url,$format[tplpart_1code]);
		$tpl_1code=str_replace('$url',$show_url,$tpl_1code);
		$tpl_1code=str_replace('{$list_url}',$list_url,$tpl_1code);
		$tpl_1code=str_replace('$list_url',$list_url,$tpl_1code);

		$tpl_2code=str_replace('{$url}',$show_url,$format[tplpart_2code]);
		$tpl_2code=str_replace('$url',$show_url,$tpl_2code);
		$tpl_2code=str_replace('{$list_url}',$list_url,$tpl_2code);
		$tpl_2code=str_replace('$list_url',$list_url,$tpl_2code);
		$array[tpl_1code]=$tpl_1code;
		$array[tpl_2code]=$tpl_2code;
	}
	else
	{
		$array[tpl_1code]=$format[tplpart_1code];
		$array[tpl_2code]=$format[tplpart_2code];
	}
	return $array;
}
?>